refentry.manual.profile
Prev | Refentry metadata gathering | Next

## refentry.manual.profile

refentry.manual.profile — Specifies profile for refentry "manual" data

## Synopsis

    <xsl:param name="refentry.manual.profile">
      (($info[//title])[last()]/title)[1]|
      ../title/node()
    </xsl:param>

## Description

The value of `refentry.manual.profile` is a string representing an XPath expression. It is evaluated at run-time and used only if `refentry.manual.profile.enabled` is non-zero. Otherwise, the `refentry` metadata-gathering logic "hard coded" into the stylesheets is used.

In man pages, this content is usually displayed in the middle of the header of the page. The `man(7)` man page describes this as "the title of the manual (e.g., Linux Programmer's Manual)". Here are some examples from existing man pages:

- dpkg utilities (dpkg-name)

- User Contributed Perl Documentation (GET)

- GNU Development Tools (ld)

- Emperor Norton Utilities (ddate)

- Debian GNU/Linux manual (faked)

- GIMP Manual Pages (gimp)

- KDOC Documentation System (qt2kdoc)

Prev | Up | Next
refentry.date.profile.enabled | Home | refentry.manual.profile.enabled